Last-Modified: Sat, 25 Jan 2025 08:55:19 GMT
Expires: Tue, 23 Jan 2035 08:55:19 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>scripts - iCE40/abc - [no description]</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.panaceas.org/cgit/iCE40/abc/atom/scripts?h=yosys-experimental' type='application/atom+xml'/>
<link rel='vcs-git' href='git://git.panaceas.org/iCE40/abc' title='iCE40/abc Git repository'/>
<link rel='vcs-git' href='ssh://git@git.panaceas.org/git/iCE40/abc' title='iCE40/abc Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/cgit/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/cgit/'>index</a> : <a title='iCE40/abc' href='/cgit/iCE40/abc/'>iCE40/abc</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='d5955db9604a2eb9224941b5200648120b22fc82'/><select name='h' onchange='this.form.submit();'>
<option value='yosys-experimental' selected='selected'>yosys-experimental</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>[no description]</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit/iCE40/abc/?h=yosys-experimental'>summary</a><a href='/cgit/iCE40/abc/refs/?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>refs</a><a href='/cgit/iCE40/abc/log/scripts?h=yosys-experimental'>log</a><a class='active' href='/cgit/iCE40/abc/tree/scripts?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>tree</a><a href='/cgit/iCE40/abc/commit/scripts?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>commit</a><a href='/cgit/iCE40/abc/diff/scripts?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>diff</a><a href='/cgit/iCE40/abc/stats/scripts?h=yosys-experimental'>stats</a></td><td class='form'><form class='right' method='get' action='/cgit/iCE40/abc/log/scripts'>
<input type='hidden' name='h' value='yosys-experimental'/><input type='hidden' name='id' value='d5955db9604a2eb9224941b5200648120b22fc82'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit/iCE40/abc/tree/?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>root</a>/<a href='/cgit/iCE40/abc/tree/scripts?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>scripts</a></div><div class='content'><table summary='tree listing' class='list'>
<tr class='nohover'><th class='left'>Mode</th><th class='left'>Name</th><th class='right'>Size</th><th/></tr>
<tr><td class='ls-mode'>-rw-r--r--</td><td><a class='ls-blob rc' href='/cgit/iCE40/abc/tree/scripts/abc.rc?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>abc.rc</a></td><td class='ls-size'>12979</td><td><a class='button' href='/cgit/iCE40/abc/log/scripts/abc.rc?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>log</a><a class='button' href='/cgit/iCE40/abc/stats/scripts/abc.rc?h=yosys-experimental'>stats</a><a class='button' href='/cgit/iCE40/abc/plain/scripts/abc.rc?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>plain</a></td></tr>
<tr><td class='ls-mode'>-rw-r--r--</td><td><a class='ls-blob py' href='/cgit/iCE40/abc/tree/scripts/abc_common.py?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>abc_common.py</a></td><td class='ls-size'>63340</td><td><a class='button' href='/cgit/iCE40/abc/log/scripts/abc_common.py?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>log</a><a class='button' href='/cgit/iCE40/abc/stats/scripts/abc_common.py?h=yosys-experimental'>stats</a><a class='button' href='/cgit/iCE40/abc/plain/scripts/abc_common.py?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>plain</a></td></tr>
<tr><td class='ls-mode'>-rw-r--r--</td><td><a class='ls-blob sh' href='/cgit/iCE40/abc/tree/scripts/bmc2.sh?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>bmc2.sh</a></td><td class='ls-size'>303</td><td><a class='button' href='/cgit/iCE40/abc/log/scripts/bmc2.sh?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>log</a><a class='button' href='/cgit/iCE40/abc/stats/scripts/bmc2.sh?h=yosys-experimental'>stats</a><a class='button' href='/cgit/iCE40/abc/plain/scripts/bmc2.sh?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>plain</a></td></tr>
<tr><td class='ls-mode'>-rw-r--r--</td><td><a class='ls-blob sh' href='/cgit/iCE40/abc/tree/scripts/bmc3.sh?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>bmc3.sh</a></td><td class='ls-size'>305</td><td><a class='button' href='/cgit/iCE40/abc/log/scripts/bmc3.sh?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>log</a><a class='button' href='/cgit/iCE40/abc/stats/scripts/bmc3.sh?h=yosys-experimental'>stats</a><a class='button' href='/cgit/iCE40/abc/plain/scripts/bmc3.sh?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>plain</a></td></tr>
<tr><td class='ls-mode'>-rw-r--r--</td><td><a class='ls-blob sh' href='/cgit/iCE40/abc/tree/scripts/dprove.sh?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>dprove.sh</a></td><td class='ls-size'>305</td><td><a class='button' href='/cgit/iCE40/abc/log/scripts/dprove.sh?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>log</a><a class='button' href='/cgit/iCE40/abc/stats/scripts/dprove.sh?h=yosys-experimental'>stats</a><a class='button' href='/cgit/iCE40/abc/plain/scripts/dprove.sh?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>plain</a></td></tr>
<tr><td class='ls-mode'>-rw-r--r--</td><td><a class='ls-blob py' href='/cgit/iCE40/abc/tree/scripts/new_abc_commands.py?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>new_abc_commands.py</a></td><td class='ls-size'>4530</td><td><a class='button' href='/cgit/iCE40/abc/log/scripts/new_abc_commands.py?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>log</a><a class='button' href='/cgit/iCE40/abc/stats/scripts/new_abc_commands.py?h=yosys-experimental'>stats</a><a class='button' href='/cgit/iCE40/abc/plain/scripts/new_abc_commands.py?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>plain</a></td></tr>
<tr><td class='ls-mode'>-rw-r--r--</td><td><a class='ls-blob py' href='/cgit/iCE40/abc/tree/scripts/reachx_cmd.py?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>reachx_cmd.py</a></td><td class='ls-size'>3314</td><td><a class='button' href='/cgit/iCE40/abc/log/scripts/reachx_cmd.py?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>log</a><a class='button' href='/cgit/iCE40/abc/stats/scripts/reachx_cmd.py?h=yosys-experimental'>stats</a><a class='button' href='/cgit/iCE40/abc/plain/scripts/reachx_cmd.py?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>plain</a></td></tr>
<tr><td class='ls-mode'>-rw-r--r--</td><td><a class='ls-blob sh' href='/cgit/iCE40/abc/tree/scripts/super_prove.sh?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>super_prove.sh</a></td><td class='ls-size'>239</td><td><a class='button' href='/cgit/iCE40/abc/log/scripts/super_prove.sh?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>log</a><a class='button' href='/cgit/iCE40/abc/stats/scripts/super_prove.sh?h=yosys-experimental'>stats</a><a class='button' href='/cgit/iCE40/abc/plain/scripts/super_prove.sh?h=yosys-experimental&amp;id=d5955db9604a2eb9224941b5200648120b22fc82'>plain</a></td></tr>
</table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-01-25 08:55:19 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
#n147'>147</a>
<a id='n148' href='#n148'>148</a>
<a id='n149' href='#n149'>149</a>
<a id='n150' href='#n150'>150</a>
<a id='n151' href='#n151'>151</a>
<a id='n152' href='#n152'>152</a>
<a id='n153' href='#n153'>153</a>
<a id='n154' href='#n154'>154</a>
<a id='n155' href='#n155'>155</a>
<a id='n156' href='#n156'>156</a>
<a id='n157' href='#n157'>157</a>
<a id='n158' href='#n158'>158</a>
<a id='n159' href='#n159'>159</a>
<a id='n160' href='#n160'>160</a>
<a id='n161' href='#n161'>161</a>
<a id='n162' href='#n162'>162</a>
<a id='n163' href='#n163'>163</a>
<a id='n164' href='#n164'>164</a>
<a id='n165' href='#n165'>165</a>
<a id='n166' href='#n166'>166</a>
<a id='n167' href='#n167'>167</a>
<a id='n168' href='#n168'>168</a>
<a id='n169' href='#n169'>169</a>
<a id='n170' href='#n170'>170</a>
<a id='n171' href='#n171'>171</a>
<a id='n172' href='#n172'>172</a>
<a id='n173' href='#n173'>173</a>
<a id='n174' href='#n174'>174</a>
<a id='n175' href='#n175'>175</a>
<a id='n176' href='#n176'>176</a>
<a id='n177' href='#n177'>177</a>
<a id='n178' href='#n178'>178</a>
<a id='n179' href='#n179'>179</a>
<a id='n180' href='#n180'>180</a>
<a id='n181' href='#n181'>181</a>
<a id='n182' href='#n182'>182</a>
<a id='n183' href='#n183'>183</a>
<a id='n184' href='#n184'>184</a>
<a id='n185' href='#n185'>185</a>
<a id='n186' href='#n186'>186</a>
<a id='n187' href='#n187'>187</a>
<a id='n188' href='#n188'>188</a>
<a id='n189' href='#n189'>189</a>
<a id='n190' href='#n190'>190</a>
<a id='n191' href='#n191'>191</a>
<a id='n192' href='#n192'>192</a>
<a id='n193' href='#n193'>193</a>
<a id='n194' href='#n194'>194</a>
<a id='n195' href='#n195'>195</a>
<a id='n196' href='#n196'>196</a>
<a id='n197' href='#n197'>197</a>
<a id='n198' href='#n198'>198</a>
<a id='n199' href='#n199'>199</a>
<a id='n200' href='#n200'>200</a>
<a id='n201' href='#n201'>201</a>
<a id='n202' href='#n202'>202</a>
<a id='n203' href='#n203'>203</a>
<a id='n204' href='#n204'>204</a>
<a id='n205' href='#n205'>205</a>
<a id='n206' href='#n206'>206</a>
<a id='n207' href='#n207'>207</a>
</pre></td>
<td class='lines'><pre><code><style>pre { line-height: 125%; margin: 0; }
td.linenos pre { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
span.linenos { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
td.linenos pre.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight { background: #ffffff; }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="c1"># Copyright (C) 2006-2007 OpenWrt.org</span>
<span class="c1">#</span>
<span class="c1"># This is free software, licensed under the GNU General Public License v2.</span>
<span class="c1"># See /LICENSE for more information.</span>
<span class="c1">#</span>

<span class="k">mainmenu</span> <span class="s2">&quot;OpenWrt Configuration&quot;</span>

<span class="k">config</span> HAVE_DOT_CONFIG
	<span class="nb">bool</span>
	<span class="k">default</span> y

<span class="k">source</span> <span class="s2">&quot;target/Config.in&quot;</span>

<span class="k">menu</span> <span class="s2">&quot;Target Images&quot;</span>
	<span class="k">config</span> TARGET_ROOTFS_INITRAMFS
		<span class="nb">bool</span> <span class="s2">&quot;ramdisk&quot;</span>
		<span class="k">default</span> n
		depends LINUX_2_6
		<span class="k">help</span>
<span class="sd">		  Embed the rootfs into the kernel (initramfs)</span>

	<span class="k">config</span> TARGET_ROOTFS_JFFS2
		<span class="nb">bool</span> <span class="s2">&quot;jffs2&quot;</span>
		<span class="k">default</span> y <span class="k">if</span> USES_JFFS2
		depends <span class="o">!</span>TARGET_ROOTFS_INITRAMFS
		<span class="k">help</span>
<span class="sd">		  Build a jffs2 root filesystem</span>

	<span class="k">config</span> TARGET_ROOTFS_SQUASHFS
		<span class="nb">bool</span> <span class="s2">&quot;squashfs&quot;</span>
		<span class="k">default</span> y <span class="k">if</span> USES_SQUASHFS
		depends <span class="o">!</span>TARGET_ROOTFS_INITRAMFS
		<span class="k">help</span>
<span class="sd">		  Build a squashfs-lzma root filesystem</span>

	<span class="k">config</span> TARGET_ROOTFS_TGZ
		<span class="nb">bool</span> <span class="s2">&quot;tgz&quot;</span>
		<span class="k">default</span> y <span class="k">if</span> USES_TGZ
		depends <span class="o">!</span>TARGET_ROOTFS_INITRAMFS
		<span class="k">help</span>
<span class="sd">		  Build a compressed tar archive of the the root filesystem</span>
<span class="sd">		  </span>
	<span class="k">config</span> TARGET_ROOTFS_CPIOGZ
		<span class="nb">bool</span> <span class="s2">&quot;cpiogz&quot;</span>
		<span class="k">default</span> y <span class="k">if</span> USES_CPIOGZ
		depends <span class="o">!</span>TARGET_ROOTFS_INITRAMFS
		<span class="k">help</span>
<span class="sd">		  Build a compressed cpio archive of the the root filesystem</span>
<span class="sd">		  </span>
	<span class="k">config</span> TARGET_ROOTFS_EXT2FS
		<span class="nb">bool</span> <span class="s2">&quot;ext2&quot;</span>
		<span class="k">default</span> y <span class="k">if</span> USES_EXT2
		depends <span class="o">!</span>TARGET_ROOTFS_INITRAMFS
		<span class="k">help</span>
<span class="sd">		  Ext2 file system with some free space for uml images</span>

	<span class="k">config</span> TARGET_ROOTFS_ISO 
		<span class="nb">bool</span> <span class="s2">&quot;iso&quot;</span> 
		<span class="k">default</span> n 
		depends TARGET_ROOTFS_INITRAMFS <span class="o">&amp;&amp;</span> TARGET_x86 
		<span class="k">help </span>
<span class="sd">		  Create some bootable ISO image </span>

<span class="k">comment</span> <span class="s2">&quot;Image Options&quot;</span>

<span class="k">source</span> <span class="s2">&quot;target/linux/*/image/Config.in&quot;</span>

    <span class="k">config</span> TARGET_ROOTFS_FSPART
        <span class="nb">int</span> <span class="s2">&quot;Filesystem part size (in MB)&quot;</span>
        depends X86_GRUB_IMAGES <span class="o">||</span> TARGET_ROOTFS_EXT2FS <span class="o">||</span> TARGET_rb532 <span class="o">||</span> TARGET_olpc
        <span class="k">default</span> <span class="mi">48</span>
        <span class="k">help</span>
<span class="sd">            Allows you to change the filesystem partition size</span>

    <span class="k">config</span> TARGET_ROOTFS_MAXINODE
        <span class="nb">int</span> <span class="s2">&quot;Maximum number of inodes in filesystem&quot;</span>
        depends TARGET_ROOTFS_EXT2FS
        <span class="k">default</span> <span class="mi">6000</span>
        <span class="k">help</span>
<span class="sd">            Allows you to change the maximum number of inodes in the filesystem</span>

<span class="k">endmenu</span>

<span class="k">menu</span> <span class="s2">&quot;Global build settings&quot;</span>

<span class="k">config</span> ALL
	<span class="nb">bool</span> <span class="s2">&quot;Select all packages by default&quot;</span>
	<span class="k">default</span> n

<span class="k">comment</span> <span class="s2">&quot;Features&quot;</span>

<span class="k">config</span> CLEAN_IPKG
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Disable ipkg/opkg installation on the target&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">		This removes all ipkg data from the target directory before building the root fs</span>

<span class="k">comment</span> <span class="s2">&quot;Package build options&quot;</span>

<span class="k">config</span> DEBUG
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Compile packages with debugging info&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">		Disables stripping and adds -g3 to the CFLAGS</span>

<span class="k">config</span> DEBUG_DIR
	<span class="nb">bool</span> <span class="s2">&quot;Install debugging binaries into a staging directory&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">		This will install all compiled package binaries into build_dir/target-*/debug-*/,</span>
<span class="sd">		useful for cross-debugging via gdb/gdbserver</span>

<span class="k">config</span> NO_STRIP
	<span class="nb">bool</span> <span class="s2">&quot;Install unstripped binary on the target (useful for native compiling/debugging)&quot;</span>
	<span class="k">default</span> n

<span class="k">comment</span> <span class="s2">&quot;Kernel build options&quot;</span>

<span class="k">config</span> KERNEL_KALLSYMS
	<span class="nb">bool</span> <span class="s2">&quot;Compile the kernel with symbol table information&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">		This will give you more information in stack traces from kernel oopses</span>
<span class="k">config</span> KERNEL_PROFILING
	<span class="nb">bool</span> <span class="s2">&quot;Compile the kernel with profiling enabled&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">		Enable the extended profiling support mechanisms used by profilers such</span>
<span class="sd">		as OProfile.</span>

<span class="k">endmenu</span>

<span class="k">menuconfig</span> DEVEL
	<span class="nb">bool</span> <span class="s2">&quot;Advanced configuration options (for developers)&quot;</span>
	<span class="k">default</span> n
	<span class="k">select</span> TOOLCHAINOPTS <span class="k">if</span> <span class="o">!</span>NATIVE_TOOLCHAIN

<span class="k">config</span> BROKEN
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Show broken platforms / packages&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> n

<span class="k">config</span> DOWNLOAD_FOLDER
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Download folder&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>

<span class="k">config</span> LOCALMIRROR
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Local mirror for source packages&quot;</span> <span class="k">if</span> DEVEL

<span class="k">config</span> AUTOREBUILD
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Automatic rebuild of packages&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> y
	<span class="k">help</span>
<span class="sd">		Automatically rebuild packages when their files change</span>

<span class="k">config</span> BUILD_SUFFIX
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Build suffix to append to the BUILD_DIR variable&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>
	<span class="k">help</span>
<span class="sd">		Build suffix to append to the BUILD_DIR variable, i.e: build_dir_suffix</span>

<span class="k">config</span> CCACHE
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Use ccache&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">		Compiler cache; see http://ccache.samba.org/</span>

<span class="k">config</span> EXTERNAL_KERNEL_TREE
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Use external kernel tree&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>

<span class="k">config</span> KERNEL_GIT_CLONE_URI
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Enter git repository to clone&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>
	<span class="k">help</span>
<span class="sd">		Enter the full git repository path i.e.:</span>
<span class="sd">		git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git</span>
<span class="sd">		This will create a git clone of the kernel in your build</span>
<span class="sd">		directory.</span>

<span class="k">config</span> KERNEL_GIT_LOCAL_REPOSITORY
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Enter path to local reference repository&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>
	<span class="k">help</span>
<span class="sd">		Enter a full pathname to a local reference git repository.</span>
<span class="sd">		In this instance, the --refererence option of git clone will</span>
<span class="sd">		be used thus creating a quick local clone of your repo.</span>

<span class="k">source</span> <span class="s2">&quot;toolchain/Config.in&quot;</span>

<span class="k">source</span> <span class="s2">&quot;target/imagebuilder/Config.in&quot;</span>
<span class="k">source</span> <span class="s2">&quot;target/sdk/Config.in&quot;</span>

<span class="k">source</span> <span class="s2">&quot;tmp/.config-package.in&quot;</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-01-25 08:55:20 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
